%define Werror_cflags %nil

Summary:	A mail filtering software
Name:		jchkmail
Version:	2.2.1
Release:	%mkrel 9
Source0:	%{name}-%{version}.tgz
Patch0:		jchkmail-2.2.1-automake-1.13.patch
License:	GPL
Group:		System/Servers
Url:		http://www.j-chkmail.org/
BuildRequires:	libxml2-devel
BuildRequires:	libmilter-devel 
BuildRequires:	sendmail

%description
j-chkmail is a mail filtering software using sendmail milter API. j-chkmail is
compatible with UNIX based mailservers running sendmail or postfix.

The goal of j-chkmail is to be able to filter as much messages as possible, as
fast as possible and as well as possible. Originally, it's intended to be use
in large and heterogeneous communities such as university campus, but not only.

%prep
%setup -q
%patch0 -p1 -b .automake113
# don't try action needing to be root
perl -pi -e 's:@(chown|chgrp):/bin/true:' \
    Makefile.am etc/Makefile.am \
    Makefile.in etc/Makefile.in

%build
autoreconf -vfi
%configure2_5x \
  --with-work-dir=%{_var}/lib/%{name} \
  --with-jgreyd-dir={%_var}/lib/%{name}/jgreyd \
  --with-user=%{name} \
  --with-group=%{name}

%make

%install
mkdir -p %{buildroot}%{_sysconfdir}/init.d

%make_install

%pre
%_pre_useradd %{name} %{_var}/lib/%{name} /bin/false

%postun
%_postun_userdel %{name}

%files
%doc README*
%config(noreplace) %{_sysconfdir}/mail/%{name}
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/init.d/*
%attr(-,jchkmail,jchkmail) %config(noreplace) %{_var}/lib/%{name}
%{_mandir}/*/*


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 2.2.1-9.mga6
+ Revision: 960749
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-8.mga5
+ Revision: 748728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-7.mga5
+ Revision: 680747
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.1-6.mga4
+ Revision: 521034
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 2.2.1-5.mga3
+ Revision: 388381
- Fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + nanardon <nanardon>
    - fix pre/post

* Sun Jun 26 2011 nanardon <nanardon> 2.2.1-3.mga2
+ Revision: 114185
- imported package jchkmail


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-3mdv2011.0
+ Revision: 612440
- the mass rebuild of 2010.1 packages

* Mon Feb 08 2010 Olivier Thauvin <nanardon@mandriva.org> 2.2.1-2mdv2010.1
+ Revision: 502501
- add docs files
- 2.2.1

* Mon Nov 23 2009 Olivier Thauvin <nanardon@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 469198
- import jchkmail


